summaryrefslogtreecommitdiffhomepage
path: root/test
diff options
context:
space:
mode:
authorDavid Lönnhager <david.l@mullvad.net>2024-05-02 13:33:42 +0200
committerDavid Lönnhager <david.l@mullvad.net>2024-05-03 09:28:20 +0200
commita54a44727d97b97fc4dad007015dee91ea7630f9 (patch)
treed787f19ea8862d44bbef9e2e55ac8c88a8ee9955 /test
parent8c671c1e4936c9b33cbd0cd3e86bee5d5b6828ad (diff)
downloadmullvadvpn-a54a44727d97b97fc4dad007015dee91ea7630f9.tar.xz
mullvadvpn-a54a44727d97b97fc4dad007015dee91ea7630f9.zip
Simplify cleanup of testing cache
Diffstat (limited to 'test')
-rwxr-xr-xtest/ci-runtests.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/test/ci-runtests.sh b/test/ci-runtests.sh
index 2ff5ef7304..4b8704643a 100755
--- a/test/ci-runtests.sh
+++ b/test/ci-runtests.sh
@@ -207,6 +207,8 @@ echo "**********************************"
echo "* Downloading app packages"
echo "**********************************"
+find "$PACKAGES_DIR" -type f -mtime +5 -delete || true
+
mkdir -p "$PACKAGES_DIR"
nice_time download_app_package "$OLD_APP_VERSION" "$TEST_OS"
nice_time download_app_package "$NEW_APP_VERSION" "$TEST_OS"
@@ -216,9 +218,6 @@ echo "**********************************"
echo "* Building test runner"
echo "**********************************"
-# Clean up packages. Try to keep ones that match the versions we're testing
-find "$PACKAGES_DIR/" -type f ! \( -name "*${OLD_APP_VERSION}_*" -o -name "*${OLD_APP_VERSION}.*" -o -name "*${commit}*" \) -delete || true
-
function build_test_runner {
if [[ "${TEST_OS}" =~ "debian"|"ubuntu"|"fedora" ]]; then
./container-run.sh ./build-runner.sh linux